<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'vpl', language 'pt_br_uni', version '3.7'.
 *
 * @package     vpl
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['executionfiles_help'] = '<h2>Introdução </h2>
<p>Aqui você define os arquivos necessários para preparar a execução,
depuração ou avaliação de um envio. Isso inclui arquivos de script,
arquivos de teste de programa e arquivos de dados. </p>
<h2>Script padrão para executar ou depurar </h2>
<p> Se você não definir arquivos de script para envios de execução ou depuração, o sistema escolherá a linguagem que você usa (com base nas extensões de nome de arquivo) e usará um script pré-definido.
<h2>Avaliação automática </h2>
<p>Os recursos incorporados para facilitar a avaliação das submissões dos estudantes.
Esse recurso permite executar o programa do estudante e verificar sua saída para uma determinada entrada.
Para configurar os casos de avaliação, você deve preencher o arquivo "pl_evaluate.cases".
<p>O arquivo "vpl_evaluate.cases" possui o seguinte formato:
<ul>
<li> "<strong> case </strong> = Descrição do caso": Opcional. Configura o início de uma definição de caso de teste. </li>
<li> "<strong> input </strong> = texto": pode usar várias linhas. Termina com outra instrução. </li>
<li> "<strong> output </strong> = texto": pode usar várias linhas. Termina com outra instrução. Um caso pode ter saídas corretas diferentes. Existem três tipos de saída: números, texto e texto exato:
<ul>
<li> <strong>número</strong>: definido como uma sequência de números (números inteiros e flutuantes). Somente números na saída são verificados, outros textos são ignorados. Os números de ponto flutuante são verificados com alguma tolerância</li>
<li> <strong>texto</strong>: definido como texto sem aspas duplas. Somente palavras são verificadas e o restante dos caracteres é ignorado. A comparação não diferencia maiúsculas de minúsculas </li>
<li> <strong>texto exato</strong>: definido como texto entre aspas duplas. A correspondência exata é usada para testar a saída. </li>
</ul>
</li>
<li> "<strong> redução de nota </strong> = [valor | porcentagem%]": Por padrão, um erro reduz a nota do estudante (começa com maxgrade) por (grade_range/ número de casos), mas com esta instrução você pode alterar o valor ou porcentagem de redução. </li>
</ul>
</p>
<h2>Uso geral </h2>
<p>Um novo arquivo pode ser adicionado, escrevendo seu nome na caixa  "<b> Adicionar arquivo </b> "
e depois clicando no botão  "<b> Adicionar arquivo </b> ". </p>
<p>Um arquivo existente pode ser carregado por meio do  "<b> Carregar arquivo</b> " .
<p>Todos os arquivos adicionados ou enviados podem
ser editados e todos eles, exceto os três arquivos de script mencionados
abaixo, podem ser renomeados ou excluídos. </p>
<h2>Execução, depuração ou avaliação manual </h2>
<p>Podem ser definidos três arquivos de script para preparar cada uma das ações.
Esses arquivos têm nomes predefinidos: <b> vpl_run.sh </b> (execução),
<b>vpl_debug.sh </b> (depuração) e <b> vpl_evaluate.sh </b> (avaliação). </p>
<p>A execução de qualquer um desses arquivos de script deve gerar um
arquivo chamado <b> vpl_execution </b>.
Este arquivo deve ser um executável binário ou um script começando com "#!/bin/sh ".
A não geração deste arquivo impede a execução da ação selecionada. </p>
<p>Se a atividade que você está configurando é "baseada em" outra atividade,
os arquivos da atividade base são adicionados automaticamente.
O conteúdo dos arquivos vpl_run.sh, vpl_debug.sh e vpl_evaluate.sh
são concatenados do nível mais profundo de "baseado em" para o atual. </P>
<p>Finalmente, o arquivo <b> vpl_environment.sh </b> é adicionado automaticamente.
Este arquivo de script contém informações sobre o envio.
As informações vêm como variáveis de ambiente: </p>
<ul><li> LANG: linguagem usada. </li>
<li> LC_ALL: mesmo valor que LANG. </li>
<li> VPL_MAXTIME: tempo máximo de execução em segundos. </li>
<li> VPL_FILEBASEURL: URL para acessar os arquivos da discipina. </li>
<li> VPL_SUBFILE #: cada nome dos arquivos enviados pelo estudante. # Varia de 0 a número de arquivos enviados. </Li>
<li> VPL_SUBFILES: lista de todos os arquivos enviados. </li>
<li> VPL_VARIATION + id: onde id é a ordem das variações que começa com 0 e o valor é o valor da variação. </li>
</ul>
Se a ação solicitada for avaliação, os seguintes vars também serão adicionados.
<ul>
<li> VPL_MAXTIME: tempo máximo de execução em segundos. </li>
<li> VPL_MAXMEMORY: memória máxima utilizável </li>
<li> VPL_MAXFILESIZE: tamanho máximo do arquivo em bytes que pode ser criado. </li>
<li> VPL_MAXPROCESSES: número máximo de processos que podem ser executados simultaneamente. </li>
<Li> VPL_FILEBASEURL: URL para os arquivos da discipina. </Li>
<li> VPL_GRADEMIN: nota mínima para esta atividade </li>
<li> VPL_GRADEMAX: nota máxima para esta atividade </li>
</ul>
<h2>Resultado da avaliação</h2>
<p>Os resultados da avaliação são processados para extrair, se possível, comentários e uma nota proposta para a avaliação.
Os comentários podem ser definidos de duas maneiras: com um comentário de linha definido por uma linha que começa com \'Comment : =>>\' ou
com comentários em bloco começando com uma linha contendo apenas  \'<|--\'  e terminando com uma linha contendo apenas \'--|>\'.
A nota é obtida na última linha que começa com \'Grade :=>>\'.
</p>';
